Page MenuHomePhabricator

[asan] Add a magic shadow value for shadw gap
ClosedPublic

Authored by waltl on May 4 2018, 1:45 PM.

Details

Summary

This gives us something to insert into the shadow gap for systems that
don't have memory protection turned on there (i.e. on Myriad).

Diff Detail

Event Timeline

waltl created this revision.May 4 2018, 1:45 PM
kcc added inline comments.May 4 2018, 2:59 PM
compiler-rt/lib/asan/asan_errors.cc
517 ↗(On Diff #145274)

Maybe "Shadow gap" and kAsanShadowGap?

compiler-rt/lib/asan/asan_internal.h
150 ↗(On Diff #145274)

add a comment why you need it.

waltl updated this revision to Diff 145473.May 7 2018, 8:47 AM

Address CR comments

waltl marked 2 inline comments as done.May 7 2018, 8:48 AM
alekseyshl accepted this revision.May 16 2018, 3:25 PM
This revision is now accepted and ready to land.May 16 2018, 3:25 PM
This revision was automatically updated to reflect the committed changes.
Herald added a subscriber: Restricted Project. · View Herald TranscriptMay 16 2018, 4:39 PM